# Order Delegation Webhook

## Order Created Webhook

> This is a dummy endpoint that demonstrates the webhook payload structure that will be sent\
> to webhook subscribers when an order.created event occurs.\
> \
> The actual webhooks will be sent asynchronously to the URLs specified in the webhook\
> subscriptions that are subscribed to the order.created event type.\
> \
> The webhook payload includes:\
> \- id: ID of the webhook message\
> \- event: The event type (order.created)\
> \- timestamp: When the event occurred\
> \- subscription\_id: ID of the webhook subscription\
> \- message: The order data in the same format as the GET /orders/{id} endpoint

```json
{"openapi":"3.1.0","info":{"title":"Sellers Center API","version":"1.0.0"},"security":[{"APIKeyAuth":[]}],"components":{"securitySchemes":{"APIKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key"}},"schemas":{"OrderCreatedWebhookSchema":{"properties":{"id":{"description":"ID of the webhook message","minimum":1,"title":"Id","type":"integer"},"event":{"const":"order.created","description":"Event type of webhook message","title":"Event","type":"string"},"timestamp":{"description":"UTC timestamp when the event was created","format":"date-time","title":"Timestamp","type":"string"},"message":{"$ref":"#/components/schemas/GetOrderSchema","description":"Order payload of the triggered event"},"subscription_id":{"anyOf":[{"description":"ID (integer) of this property","minimum":1,"type":"integer"},{"type":"null"}],"description":"ID of the subscription","title":"Subscription Id"}},"required":["id","event","message"],"title":"OrderCreatedWebhookSchema","type":"object"},"GetOrderSchema":{"properties":{"order_items":{"description":"List of order items","items":{"$ref":"#/components/schemas/OrderItemSchema"},"title":"Order items","type":"array"},"order_number":{"description":"Order number of the order","title":"Order number","type":"string"},"carrier_key":{"description":"Carrier key from the Carrier model.","title":"Carrier Key","type":"string"},"cost_without_tax":{"description":"Cost of the order without tax in the smallest currency unit (e.g. cents for Euro)","title":"Cost without tax","type":"integer"},"cost_with_tax":{"description":"Cost of the order with tax in the smallest currency unit (e.g. cents for Euro)","title":"Cost with tax","type":"integer"},"delivery_document_url":{"title":"Delivery Document Url","type":"string"},"status":{"$ref":"#/components/schemas/orders_app__models__order__Order__StatusChoices"},"customer_key":{"description":"Reference key of the customer (MAPI: customer_key)","maxLength":255,"title":"Customer Key","type":"string"},"shop":{"title":"Shop","type":"integer"},"created_at":{"format":"date-time","title":"Created At","type":"string"},"updated_at":{"format":"date-time","title":"Updated At","type":"string"},"fulfillment_type":{"default":"dropshipping","description":"Fulfillment type","maxLength":255,"title":"Fulfillment Type","type":"string"},"payment_method":{"anyOf":[{"maxLength":255,"type":"string"},{"type":"null"}],"description":"Payment method","title":"Payment Method"},"billing_street":{"description":"Billing address","maxLength":255,"title":"Billing Street","type":"string"},"billing_zip_code":{"description":"Billing zip code","maxLength":255,"title":"Billing Zip Code","type":"string"},"billing_city":{"description":"Billing city","maxLength":255,"title":"Billing City","type":"string"},"billing_country_code":{"description":"Billing country code","maxLength":2,"title":"Billing Country Code","type":"string"},"billing_recipient_gender":{"anyOf":[{"maxLength":1,"type":"string"},{"type":"null"}],"description":"Gender of the recipient","title":"Billing Recipient Gender"},"billing_recipient_first_name":{"description":"First name of the recipient","maxLength":255,"title":"Billing Recipient First Name","type":"string"},"billing_recipient_last_name":{"description":"Last name of the recipient","maxLength":255,"title":"Billing Recipient Last Name","type":"string"},"billing_additional":{"anyOf":[{"maxLength":255,"type":"string"},{"type":"null"}],"description":"Additional billing information","title":"Billing Additional"},"shipping_street":{"anyOf":[{"maxLength":255,"type":"string"},{"type":"null"}],"description":"Shipping address","title":"Shipping Street"},"shipping_zip_code":{"anyOf":[{"maxLength":255,"type":"string"},{"type":"null"}],"description":"Shipping zip code","title":"Shipping Zip Code"},"shipping_city":{"anyOf":[{"maxLength":255,"type":"string"},{"type":"null"}],"description":"Shipping city","title":"Shipping City"},"shipping_country_code":{"anyOf":[{"maxLength":2,"type":"string"},{"type":"null"}],"description":"Shipping country","title":"Shipping Country Code"},"shipping_additional":{"anyOf":[{"maxLength":255,"type":"string"},{"type":"null"}],"description":"Additional shipping information","title":"Shipping Additional"},"shipping_collection_point_key":{"anyOf":[{"maxLength":255,"type":"string"},{"type":"null"}],"default":"","description":"Shipping collection point key","title":"Shipping Collection Point Key"},"shipping_collection_point_type":{"anyOf":[{"maxLength":255,"type":"string"},{"type":"null"}],"default":"","description":"Shipping collection point type","title":"Shipping Collection Point Type"},"shipping_collection_point_description":{"anyOf":[{"maxLength":255,"type":"string"},{"type":"null"}],"default":"","description":"Shipping collection point description","title":"Shipping Collection Point Description"},"customer_phone":{"anyOf":[{"maxLength":50,"type":"string"},{"type":"null"}],"default":"","description":"Customer phone number for collection point delivery notifications","title":"Customer Phone"},"customer_email":{"anyOf":[{"maxLength":255,"type":"string"},{"type":"null"}],"default":"","description":"Customer email address for collection point delivery notifications","title":"Customer Email"},"shipping_recipient_gender":{"anyOf":[{"maxLength":1,"type":"string"},{"type":"null"}],"description":"Gender of the recipient","title":"Shipping Recipient Gender"},"shipping_recipient_first_name":{"description":"First name of the recipient","maxLength":255,"title":"Shipping Recipient First Name","type":"string"},"shipping_recipient_last_name":{"description":"Last name of the recipient","maxLength":255,"title":"Shipping Recipient Last Name","type":"string"},"currency_code":{"description":"Currency code","maxLength":3,"title":"Currency Code","type":"string"}},"required":["order_items","order_number","carrier_key","cost_without_tax","cost_with_tax","delivery_document_url","status","customer_key","shop","created_at","updated_at","billing_street","billing_zip_code","billing_city","billing_country_code","billing_recipient_first_name","billing_recipient_last_name","shipping_recipient_first_name","shipping_recipient_last_name","currency_code"],"title":"GetOrderSchema","type":"object"},"OrderItemSchema":{"properties":{"return_tracking_key":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Return Tracking Key"},"shipment_tracking_key":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Shipment Tracking Key"},"sku":{"description":"SKU of the product variant","title":"SKU","type":"string"},"status":{"$ref":"#/components/schemas/orders_app__models__order_item__OrderItem__StatusChoices"},"id":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"ID"},"vat":{"default":19,"description":"The tax percentage","title":"Vat","type":"number"},"price_without_tax":{"description":"Price of the product excluding tax in the smallest currency unit (e.g. cents for Euro)","title":"Price Without Tax","type":"integer"},"price_with_tax":{"description":"Price of the product including tax in the smallest currency unit (e.g. cents for Euro)","title":"Price With Tax","type":"integer"},"custom_data":{"anyOf":[{"type":"object"},{"type":"null"}],"description":"Custom data for the order item","title":"Custom Data"}},"required":["return_tracking_key","shipment_tracking_key","sku","status","price_without_tax","price_with_tax"],"title":"OrderItemSchema","type":"object"},"orders_app__models__order_item__OrderItem__StatusChoices":{"enum":["open","shipped","cancelled","returned"],"title":"StatusChoices","type":"string"},"orders_app__models__order__Order__StatusChoices":{"enum":["open","shipped","cancelled","returned","mixed"],"title":"StatusChoices","type":"string"}}},"paths":{"/api/v1/webhooks/order-created":{"post":{"operationId":"scapi_app_endpoints_webhook_api_order_created_webhook","summary":"Order Created Webhook","parameters":[],"responses":{"200":{"description":"OK"}},"description":"This is a dummy endpoint that demonstrates the webhook payload structure that will be sent\nto webhook subscribers when an order.created event occurs.\n\nThe actual webhooks will be sent asynchronously to the URLs specified in the webhook\nsubscriptions that are subscribed to the order.created event type.\n\nThe webhook payload includes:\n- id: ID of the webhook message\n- event: The event type (order.created)\n- timestamp: When the event occurred\n- subscription_id: ID of the webhook subscription\n- message: The order data in the same format as the GET /orders/{id} endpoint","tags":["Webhook Messages"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderCreatedWebhookSchema"}}},"required":true}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.partner.aboutyou.com/api/webhooks/order-delegation-webhook.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
